package com.ruoyi.busi.service.impl;

import java.util.List;
import com.ruoyi.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.busi.mapper.JzObjectMapper;
import com.ruoyi.busi.domain.JzObject;
import com.ruoyi.busi.service.IJzObjectService;

/**
 * 社区矫正对象基础信息(标准7)Service业务层处理
 * 
 * @author ruoyi
 * @date 2026-07-23
 */
@Service
public class JzObjectServiceImpl implements IJzObjectService 
{
    @Autowired
    private JzObjectMapper jzObjectMapper;

    /**
     * 查询社区矫正对象基础信息(标准7)
     * 
     * @param SQJZDXBH 社区矫正对象基础信息(标准7)主键
     * @return 社区矫正对象基础信息(标准7)
     */
    @Override
    public JzObject selectJzObjectBySQJZDXBH(String SQJZDXBH)
    {
        return jzObjectMapper.selectJzObjectBySQJZDXBH(SQJZDXBH);
    }

    /**
     * 查询社区矫正对象基础信息(标准7)列表
     * 
     * @param jzObject 社区矫正对象基础信息(标准7)
     * @return 社区矫正对象基础信息(标准7)
     */
    @Override
    public List<JzObject> selectJzObjectList(JzObject jzObject)
    {
        return jzObjectMapper.selectJzObjectList(jzObject);
    }

    /**
     * 新增社区矫正对象基础信息(标准7)
     * 
     * @param jzObject 社区矫正对象基础信息(标准7)
     * @return 结果
     */
    @Override
    public int insertJzObject(JzObject jzObject)
    {
        jzObject.setCreateTime(DateUtils.getNowDate());
        return jzObjectMapper.insertJzObject(jzObject);
    }

    /**
     * 修改社区矫正对象基础信息(标准7)
     * 
     * @param jzObject 社区矫正对象基础信息(标准7)
     * @return 结果
     */
    @Override
    public int updateJzObject(JzObject jzObject)
    {
        jzObject.setUpdateTime(DateUtils.getNowDate());
        return jzObjectMapper.updateJzObject(jzObject);
    }

    /**
     * 批量删除社区矫正对象基础信息(标准7)
     * 
     * @param SQJZDXBHs 需要删除的社区矫正对象基础信息(标准7)主键
     * @return 结果
     */
    @Override
    public int deleteJzObjectBySQJZDXBHs(String[] SQJZDXBHs)
    {
        return jzObjectMapper.deleteJzObjectBySQJZDXBHs(SQJZDXBHs);
    }

    /**
     * 删除社区矫正对象基础信息(标准7)信息
     * 
     * @param SQJZDXBH 社区矫正对象基础信息(标准7)主键
     * @return 结果
     */
    @Override
    public int deleteJzObjectBySQJZDXBH(String SQJZDXBH)
    {
        return jzObjectMapper.deleteJzObjectBySQJZDXBH(SQJZDXBH);
    }
}
